//*******************************************************************
//****** Praetoria One SKY SHADER ***********************************
//*******************************************************************

textures/praetoria_m1/env/praetoriasky_skybox
{
	qer_editorimage textures/praetoria/editor_images/praetoriasky_ed.tga
	qer_keyword Praetoria
	
	skyParms textures/praetoria_m1/env/praetoriasky 1024 64 

//	q3map_sunExt 1 .5 .5 100 -45 25 6 32		//(red)(green)(blue)(intensity)(degrees)(elevation)(deviance)(samples) Q3map2 version
	q3map_sunExt .32 .26 .28 50 205 50 2 16		//(red)(green)(blue)(intensity)(degrees)(elevation)(deviance)(samples) Q3map2 version

	q3map_skylight 0 4                    //amount iterations
	q3map_noFog

	surfaceparm sky                         //flags compiler that this is sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps
	


	{
		map textures/praetoria_m1/env/praetoria_clouds.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scroll 0.005 0.005
		tcmod scale 3 3
	}
	
}

//Atmosphere fog shader
textures/praetoria_m1/fog
{
	qer_editorimage textures/praetoria_m1/editor_images/fog.tga
	qer_trans .75
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nodraw
	surfaceparm fog
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nomarks
	cull disable
	fogparms ( 0.67 0.31 0.25 ) 9000
}
